Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Aviatrix Enterprise
POST /v2/api/disable_transit_gateway_interface_to_aws_tgw
cURL
curl -sk -X POST "https://<controller>/v2/api/disable_transit_gateway_interface_to_aws_tgw" \ -H "Authorization: cid <CID>"
import requests url = "https://<controller>/v2/api/disable_transit_gateway_interface_to_aws_tgw" headers = {"Authorization": "cid <CID>"} response = requests.post(url, headers=headers, verify=False) print(response.status_code) print(response.text)
package main import ( "fmt" "net/http" ) func main() { req, _ := http.NewRequest("POST", "https://<controller>/v2/api/disable_transit_gateway_interface_to_aws_tgw", nil) req.Header.Set("Authorization", "cid <CID>") client := &http.Client{} resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() fmt.Println(resp.Status) }
{ "errortype": "<string>", "reason": "<string>", "results": true, "return": true }
Gateway name.
The opaque session ID token. Required for 7.2 controllers only.
The API action to perform. Required for 7.2 controllers only.
General v2 API response schema.
A generic API response container for v2 style APIs.
Error type if the API failed.
Failure reason if the API failed.
API response data
Whether the API returned successfully
Was this page helpful?